#include <stdio.h>

void main(){
    int n, m, i, c;
    int b[6];
    scanf("%i%i", &n, &m);
    for(i = 0; i < n; i++)
        scanf("%i", &b[i]);
    scanf("%i", &c);
    printf("%i", 16); //Nem pojma
}